/**
* Theme Name: Blocksy Child
* Description: Blocksy Child theme
* Author: Creative Themes
* Template: blocksy
* Text Domain: blocksy
*/
body {
    background: #f2f7f4;
}

.themesHeader {
    width: calc(100% - 80px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 100;
    padding: 20px 0px;
    transition: 0.3s;
    margin: 20px 40px 0px 40px;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0);
    &.is-stuck {
        top: 10px;
        background: #f2f7f480;
        backdrop-filter: blur(10px);
        border: 1px solid #fff;
        padding: 20px;
		max-width: calc(100% - 80px);
		margin:auto;
    }
    .__logo {
        width: 100px;
    }
    .__menuLeft,
    .__menuRight {
        width: 40%;
    }
    .__menuRight {
        .menu {
            justify-content: flex-end;
        }
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 40px;
    }
    .menu {
        display: flex;
        /* justify-content: space-between; */
        gap: 40px;
        width: 100%;
        padding: 0px;
        margin: 0px;
        a {
            color: #737373;
            text-transform: uppercase;
            font-size: 0.9rem;
            &:hover {
                color: #000;
            }
        }
        .sub-menu {
            display: none;
        }
    }
    .btn {
        background: #0a0a0a;
        color: #fff;
        padding: 8px 15px;
        border-radius: 12px;
        font-weight: 700;
        text-decoration: none;
        transition: 0.3s;
        font-size: 0.9rem;
        &:hover {
            background: #0a0a0ae0;
        }
    }
}

.themesFooter {
    margin: 40px;
    width: calc(100% - 80px);
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 40px;
    border-radius: 30px;
    background: #000000;
    color: #fff;
    .__logo {
        width: 200px;
        height: auto;
        object-fit: contain;
    }
    .__ssMenu {
        width: 50%;
        gap: 40px;
        display: flex;
        justify-content: space-between;
        & > div {
            width: 33%;
        }
        ul {
            list-style: none;
            padding: 0px;
            margin: 0px;
            li {
                list-style: none;
                padding: 0px;
                margin: 0px;
            }
        }
        a {
            color: #999;
            text-decoration: none;
            transition: 0.3s;
            text-transform: uppercase;
            &:hover {
                color: #fff;
            }
        }
        strong {
            color: #fff;
        }
        .menu {
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: flex-start;
            gap: 3px;
            .menu-item-has-children,
            .sub-menu {
                display: none;
                /* 
				display: flex;
				justify-content: flex-start;
				align-items: flex-start;
				flex-direction: column;
				*/
            }
        }
    }
}

@media screen and (max-width: 760px) {
    .themesFooter {
        margin: 40px 20px;
    }
}
.separatorFooter {
    height: 1px;
    border: none;
    width: calc(100% - 80px);
    margin: 0px 40px 40px 40px;
    background: #eee;
}
.sousFooter {
    width: calc(100% - 80px);
    margin: 0px 40px 80px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    color: #999;
    font-size: 0.9rem;

    div {
        display: flex;
        align-items: center;
        gap: 10px;
        width: 33%;
    }
    .__parentRS {
        width: 50%;
        display: flex;
        justify-content: center;
    }
    a {
        color: #999;
        &:hover {
            color: #000;
        }
    }
}

.mask-img {
    mask-image: url(/wp-content/uploads/2026/01/mask-footer.svg);
    mask-position: 50%;
    mask-repeat: no-repeat;
    aspect-ratio: 16 / 8;
    width: 100%;
}
.aspect16_6 {
    aspect-ratio: 16/6;
    object-fit: cover;
    overflow: hidden;
    border-radius: 20px;
    .brz-image-fix-16-9 {
        aspect-ratio: 16/6 !important;
    }
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}
.aspect16_9 {
    aspect-ratio: 16/9;
    object-fit: cover;
    overflow: hidden;
    border-radius: 20px;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}
.aspect1_1 {
    aspect-ratio: 1/1;
    object-fit: cover;
    overflow: hidden;
    border-radius: 20px;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}
.aspect1_15 {
    aspect-ratio: 1/1.1;
    object-fit: cover;
    overflow: hidden;
    border-radius: 20px;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}
.aspect1_2 {
    aspect-ratio: 1/1.2;
    object-fit: cover;
    overflow: hidden;
    border-radius: 20px;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}
.imgH100 {
    img {
        height: 640px !important;
        width: 100%;
        object-fit: cover;
    }
}

.imgHright {
    img {
        height: 640px !important;
        object-fit: cover;
    }
}

.parentImgCatalogueSlider {
    aspect-ratio: 1/1.4;
    border-radius: 20px;
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
    }
}

.parentDetail {
    display: grid;

    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
    border-radius: 20px;
    overflow: hidden;
    .__child {
        display: flex;
        &:nth-child(2n) {
            .__button {
                background: #97bda6;
            }
        }
        &:nth-child(2n-1) {
            .__button {
                background: #f2f7f4;
            }
        }
        .__button {
            height: 100%;
            width: 125px;
            display: flex;
            align-items: flex-end;
            justify-content: center;
            color: #0a0a0a;
            span {
                transform: rotate(-90deg);
                text-wrap: nowrap;
                display: block;
                height: 1rem;
                width: 0px;
                margin-bottom: 30px;
                font-weight: 700;
                text-transform: uppercase;
            }
        }
        .information {
            background: #fff;
            width: 0px;
            display: none;
            transition: 0.3s;
            * {
                opacity: 0;
            }

            h2 {
                line-height: 1;
                padding: 40px;
                font-family: "Forum";
                font-size: 56px;
                font-weight: 400;
            }
            img {
                height: 250px;
                width: 100%;
                object-fit: cover;
            }
            .__text {
                padding: 40px;
                display: block;
                line-height: 1.5em;
            }
        }

        &.__active {
            .information {
                width: 100%;
                display: block;
                * {
                    opacity: 1;
                }
            }
        }
    }
}

.frontPageHero {
    mask-image: url(/wp-content/uploads/2026/01/masqueHero.svg);
    mask-position: 50%;
    mask-repeat: no-repeat;
    mask-size: 100%;
    aspect-ratio: 16 / 9;
    * {
        pointer-events: none;
    }
}

.rounderButton {
    position: relative;
    border-radius: 30px 30px 30px 30px !important;
    border-color: #f2f7f4 !important;
    span {
        z-index: 2;
        &::before {
            height: 40px;
            width: 40px;
            content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
            /* background: red; */
            position: absolute;
            bottom: -10px;
            left: -10px;
            z-index: 1;
            transform: rotate(90deg);
        }
        &::after {
            height: 40px;
            width: 40px;
            content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
            transform: rotate(0deg);

            position: absolute;
            bottom: -10px;
            right: -10px;
            z-index: 1;
        }
    }
    &::before {
        content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
        position: absolute;
        bottom: -10px;
        left: -45px;
        height: 35px;
        width: 35px;
    }
    &::after {
        content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
        position: absolute;
        bottom: -10px;
        left: calc(100% + 10px);
        height: 35px !important;
        width: 35px;
        /* background: red; */
        transform: rotate(90deg);
    }
}

.catalogueButton {
    position: relative;
    &::before {
        content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
        position: absolute;
        bottom: -15px;
        left: -35px;
        height: 20px;
        width: 20px;
    }
    &::after {
        content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
        position: absolute;
        top: -35px;
        left: calc(100% - 4px);
        /* height: 43px; */
        width: 20px;
    }

    span {
        z-index: 2;
        &::before {
            height: 45px;
            width: 40px;
            content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
            /* background: red; */
            position: absolute;
            bottom: -19px;
            left: -18px;
            z-index: 1;
            transform: rotate(90deg);
        }
        &::after {
            height: 40px;
            width: 50px;
            content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
            transform: rotate(-90deg);
            position: absolute;
            top: -10px;
            right: -14px;
            z-index: 1;
        }
    }
}

.bentoIMGCheck {
    height: 100%;

    img {
        height: 100%;
    }
}

.page-id-589 {
    .ginput_container {
        input,
        select,
        textarea {
            border: none !important;
            margin-top: 5px !important;
        }
    }
}
.parentContact {
    .gform_heading {
        display: none;
    }
    .ginput_container {
        input,
        select,
        textarea {
            background: #fff;
            padding: 0px 10px !important;
            border-radius: 15px;
            border: 8px solid #e5e3df;
            margin: 0px;
            height: 50px;
            font-size: 0.9rem;
            &:focus {
                background: #fff;
                border-color: #e5e3df;
            }
        }
        textarea {
            height: 150px !important;
            margin-top: 30px !important;
            padding: 10px !important;
        }
    }
    .firstSelect {
        select {
            margin-top: 30px !important;
        }
    }
    .gform_fields {
        grid-row-gap: 0px !important;
    }
}

.gform_footer {
    input {
        border-radius: 15px;
        background: #0a0a0a;
        color: #fff;
        margin-left: auto;
        font-weight: 700;
        &:hover {
            background: #0a0a0ae0;
        }
    }
}

.boxPrestatire {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    .__child {
        background: #e0ece3;
        border-radius: 20px;
        padding: 40px;
        position: relative;

        img {
            width: 40%;
            aspect-ratio: 1/1;
            object-fit: contain;
        }
        .__text {
            padding: 20px 0px 60px;
            background: transparent;
            font-size: 1rem;
            font-weight: 300;
            line-height: 1.5em;
        }

        .parentButton {
            position: absolute;
            bottom: -2px;
            left: -2px;
            display: flex;
            align-items: flex-end;
            /* width: 50%; */
            gap: 20px;
            padding: 20px 20px 0px 0px;
            border-radius: 0 20px 0 0;
            background: #f2f7f4;
            z-index: 2;
            &::before {
                content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
                position: absolute;
                top: -30px;
                left: 0px;
                height: 30px;
                width: 30px;
                transform: rotate(90deg);
            }
            &::after {
                content: url(/wp-content/themes/blocksy-child/assets/corner.svg);
                position: absolute;
                bottom: 0px;
                right: -30px;
                height: 30px;
                width: 30px;
                transform: rotate(90deg);
            }

            a {
                background: #0a0a0a;
                color: #fff;
                padding: 15px 30px;
                border-radius: 18px;
                font-weight: 700;
                text-decoration: none;
                transition: 0.3s;
                font-size: 1rem;
                &:hover {
                    background: #0a0a0ae0;
                }
            }
        }

        &:nth-child(2n-1) {
            background: #fff;
            border: 2px solid #999;
            .parentButton {
                border-top: 2px solid #999;
                border-right: 2px solid #999;
                .cornerLeft {
                    position: absolute;
                    bottom: 0px;
                    right: -30px;
                    height: 30px;
                    width: 30px;
                    border-radius: 0px 0px 0px 30px;
                    background-color: #fff;
                    z-index: 2;
                    border-bottom: 2px solid #999;
                    border-left: 2px solid #999;
                }
                .cornerRight {
                    position: absolute;
                    top: -30px;
                    left: 0px;
                    height: 30px;
                    width: 30px;
                    border-radius: 0px 0px 0px 30px;
                    background-color: #fff;
                    z-index: 2;
                    border-bottom: 2px solid #999;
                    border-left: 2px solid #999;
                }
                &::before {
                    /* background: blue; */
                    /* top: px; */
                    left: -2;
                }

                &::after {
                    /* background: green; */
                }
            }
        }
    }
}

.parentPrestataireImg {
    position: relative;
    border-radius: 20px;
    /* height: 100%; */
    * {
        height: 100% !important;
    }
    .brz-css-d-wrapper {
        margin: 0px !important;
    }
    img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        border-radius: 20px;
        position: absolute !important;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
    }
}
.hero-section {
    display: none;
}

.parentCarte {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    z-index: 0;
    position: relative;
    .listeMagasin {
        padding: 0 20px;
        height: 80svh;
        overflow-y: scroll;

        background: #f2f7f4;
        display: flex;
        flex-direction: column;
        gap: 10px;
        .magasin {
            padding: 20px;
            /* box-shadow: 1px 1px 30px rgba(0, 0, 0, 0.07); */
            border-radius: 20px;
            display: flex;
            flex-direction: column;
            gap: 10px;
            background: #fff;
            * {
                margin: 0;
            }
            h3 {
                font-size: 1.3rem;
                font-weight: 500;
            }
            p {
                font-size: 0.9rem;
                color: #262626;
            }
            .infoContactContainer {
                display: flex;
                flex-wrap: wrap;
                gap: 20px;
            }
            .infoContact {
                display: flex;
                align-items: center;
                font-size: 0.9rem;
                gap: 10px;
                a {
                    color: #000;
                    text-decoration: underline;
                }
                svg {
                    width: 20px;
                    height: 20px;
                }
            }
            .btn {
                background: #0a0a0a;
                color: #fff;
                padding: 8px 15px;
                border-radius: 12px;
                font-weight: 700;
                text-decoration: none;
                transition: 0.3s;
                font-size: 0.9rem;
                display: flex;
                width: max-content;
                &:hover {
                    background: #0a0a0ae0;
                }
            }
        }
    }

    .parentMap {
        /* background: blue; */
        .acf-map,
        .leaflet-map {
            width: 100%;
            height: 100% !important;
        }
    }
}

.headerMobile {
    display: none;
}

.fullVideo {
}

.sliderHomeMob {
    display: none;
}
@media screen and (max-width: 1024px) {
	.themesHeader {
        display: none;
    }
    .headerMobile {
        display: block;
        .mobileMenu {
            background: #ffffff80;
            backdrop-filter: blur(10px);
            border: 1px solid #fff;
            padding: 20px 40px;
            width: 100%;
            margin: 20px;
            width: calc(100% - 40px);
            border-radius: 20px;
            position: fixed;
            top: 0px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            img {
                width: 100px;
            }
            z-index: 100;
        }
        .listMenuMob {
            background: #ffffff80;
            backdrop-filter: blur(10px);
            border: 1px solid #fff;
            padding: 20px 40px;
            margin: 20px;
            width: calc(100% - 40px);
            border-radius: 20px;
            position: fixed;
            top: 80px;
            z-index: 100;
            display: none;
            .menu {
                flex-direction: column !important;
                padding: 0px;
                a {
                    color: #000;
                }
                .sub-menu {
                    display: none;
                }
            }
            .btn {
                background: #0a0a0a;
                color: #fff;
                padding: 8px 15px;
                border-radius: 12px;
                font-weight: 700;
                text-decoration: none;
                transition: 0.3s;
                font-size: 0.9rem;
                margin-top: 10px;
                display: flex;
                width: max-content;
                &:hover {
                    background: #0a0a0ae0;
                }
            }
        }

        .mobileMenu {
            svg:nth-child(3) {
                display: none;
            }
        }
        &.activeMob {
            .listMenuMob {
                display: block;
            }
            .mobileMenu {
                svg:nth-child(3) {
                    display: block;
                }
                svg:nth-child(2) {
                    display: none;
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .parentCarte {
        grid-template-columns: 1fr;
        grid-template-rows: 70svh 500px;
        .listeMagasin {
            height: 100%;
            border-bottom: 40px solid #f2f7f4;
        }
        .parentMap{
            pointer-events: none;
            *{
            pointer-events: none;

            }
        }
    }

    .themesFooter {
        flex-direction: column;
        width: calc(100% - 40px);
        .__ssMenu {
            flex-direction: column;
            margin-top: 40px;
            gap: 20px;
            & > div {
                width: 100%;
            }
        }
    }
    .sousFooter {
        flex-direction: column;
        gap: 10px;
        div {
            width: 100%;

            &:nth-child(1) {
                order: 1;
                display: flex;
                flex-direction: column;
            }
            &:nth-child(3) {
                justify-content: center !important;
                order: 2;
            }
        }
    }
    .parentDetail {
        grid-template-columns: 1fr !important;
        .__child {
            width: 100%;
            display: flex;
            flex-direction: column;
            .__button {
                width: 100%;
                justify-content: flex-start;
                height: 80px;

                span {
                    transform: none;
                    width: 100%;
                    padding: 0px 20px;
                }
            }
            .information {
                display: block;
                width: 100%;
                * {
                    opacity: 1;
                }
                h2 {
                    font-size: 2rem;
                }
                img{
                    border-radius:20px;
                    aspect-ratio: 1/1;
                }
            }
        }
    }

    .boxPrestatire {
        grid-template-columns: repeat(1, 1fr) !important;
    }

    .rounderButton {
        span {
            z-index: 2;
            &::before {
                height: 35px;
                width: 35px;
                position: absolute;
                bottom: -10px;
                left: -10px;
                z-index: 1;
                transform: rotate(90deg);
            }
            &::after {
                height: 35px;
                width: 35px;
                position: absolute;
                bottom: -10px;
                right: -10px;
                z-index: 1;
            }
        }
        &::before {
            bottom: -14px;
            left: -40px;
            height: 35px;
            width: 30px;
        }
        &::after {
            bottom: -9px;
            left: calc(100% + 10px);
            height: 35px;
            width: 35px;
        }
    }
    .sliderHomeMob {
        display: flex;
        .splide__slide {
            aspect-ratio: 16/14;
            width: 100%;
            border-radius: 20px;
            position: relative;

            img {
                width: 100%;
                height: 100%;
                border-radius: 20px;
            }
            .__sliderButton {
                margin-top: -58px;
                margin-inline: auto;
                display: block;
                width: fit-content !important;
            }
        }
    }
    .mask-img{
        mask-image: none;

        border-radius: 20px;
        overflow: hidden;
        aspect-ratio: 16 / 10;
    }
}

/* Remplace l'image du marqueur par défaut */
.leaflet-marker-icon {
    content: url("/wp-content/uploads/2026/02/custom-cenza-marker.png") !important;
    width: 40px !important;
    height: 40px !important;
}

@media screen and (max-width: 768px) {
    .sliderCatalogue {
        .splide__slide {
            max-height: 60vh;
        }
    }
}
